hc256.h File Reference

Classes for HC-256 stream cipher. More...

Go to the source code of this file.

## Classes

struct | HC256Info
| HC-256 stream cipher information. More...
class | HC256Policy
| HC-256 stream cipher implementation. More...
struct | HC256
| HC-256 stream cipher. More...

## Detailed Description

Classes for HC-256 stream cipher.

See also
  The eSTREAM Project | HC-256 and Crypto++ Wiki | HC-128.

Since
  Crypto++ 8.0

Definition in file hc256.h.